﻿<?xml version="1.0"?>
<configuration>
  <system.web>
    <httpRuntime executionTimeout="86400"/>
  </system.web>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="WebServiceImplPortBinding" closeTimeout="24:00:00" openTimeout="24:00:00" receiveTimeout="24:00:00" sendTimeout="24:00:00" allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard" maxBufferSize="65536" maxBufferPoolSize="524288" maxReceivedMessageSize="65536" messageEncoding="Text" textEncoding="utf-8" transferMode="Buffered" useDefaultWebProxy="true">
          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384" maxBytesPerRead="4096" maxNameTableCharCount="16384"/>
          <security mode="None">
            <transport clientCredentialType="None" proxyCredentialType="None" realm=""/>
            <message clientCredentialType="UserName" algorithmSuite="Default"/>
          </security>
        </binding>
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="http://10.16.25.214:8080/ICSWS/icswebservice" binding="basicHttpBinding" bindingConfiguration="WebServiceImplPortBinding" contract="GatewayService.WebServiceImpl" name="WebServiceImplPort"/>
    </client>
  </system.serviceModel>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
  </startup>
  <connectionStrings>
    <add name="PCS"  providerName="System.Data.SqlClient" connectionString="Server=10.16.20.72;Database=IPPCS_QA;User ID=PCSQA;Password=PC5Q4;Trusted_Connection=false;Connection Timeout=0"/>
  </connectionStrings>
  <appSettings>
    <add key="ConfigLocation" value="\ConfigXML\"/>
    <add key="SQLFolder" value="SQLFiles"/>
    <add key="EmailExecPath" value="\NotificationFeedTent\Toyota.Notification.Email.exe"/>
    <add key="SMSExecPath" value="\NotificationFeedTent\Toyota.Notification.SMS.exe"/>
    <add key="fileLocation" value="C:\\attach\"/>
    <add key="contentID" value="34"/>
    <add key="functionID" value="11005"/>
    <add key="ClientSettingsProvider.ServiceUri" value=""/>
    <add key="RecipientCode" value="cc01"/>    
  </appSettings>
	<runtime>
		<assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
			<dependentAssembly>
				<assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30AD4FE6B2A6AEED" culture="neutral"/>
				<bindingRedirect oldVersion="0.0.0.0-4.5.0.0" newVersion="4.5.0.0"/>
			</dependentAssembly>
		</assemblyBinding>
	</runtime>
</configuration>
